Bug 835075 - Handle nonexistent sync history in repo summary table
Handle nonexistent sync history in repo summary table
Status: CLOSED NEXTRELEASE
Product: PulpDist
Classification: Community
Component: Web App (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: 0.1.0
: ---
Assigned To: Nick Coghlan
: Reopened
Depends On:
Blocks: 841498
  Show dependency treegraph
 
Reported: 2012-06-25 09:17 EDT by Nick Coghlan
Modified: 2012-09-07 03:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 841498 (view as bug list)
Environment:
Last Closed: 2012-09-07 03:08:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2012-06-25 09:17:27 EDT
Description of problem:

The repo summary table may error out if sorting the columns without any sync history.

Solution is to calculate appropriate values for all columns in RepoListView, rather than attempting to access index 0 of the sync history in RepoTable columnn definitions.

See https://github.com/bradleyayers/django-tables2/issues/81
Comment 1 Nick Coghlan 2012-07-12 02:11:45 EDT
Updated for 0.0.18
Comment 2 Nick Coghlan 2012-07-25 01:08:52 EDT
Expected behaviour: repo summary table can be sorted correctly (this bug was really easy to trigger once BZ#839139 was fixed, as the site metadata "repo" never has a sync history)
Comment 3 Nick Coghlan 2012-09-07 03:08:22 EDT
Fixed in 0.1.0

Note You need to log in before you can comment on or make changes to this bug.